## org.eclipse.datatools.connectivity.oda.design
Interface ExpressionArguments

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ExpressionArguments

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Expression Arguments'. Definition of a filter expression's argument(s).

The following features are supported:

- `Expression Parameters`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getExpressionArguments()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`ExpressionParameterDefinition` `addDynamicParameter(ParameterDefinition inputParam)` Appends a new `ExpressionParameterDefinition` with the specified dynamic input parameter definition to the 'Expression Parameters' containment reference.
`ExpressionParameterDefinition` `addStaticParameter(java.lang.Object aStaticValue)` Appends a new `ExpressionParameterDefinition` with the specified static value to the 'Expression Parameters' containment reference.
`org.eclipse.emf.common.util.EList<ExpressionParameterDefinition>` `getExpressionParameterDefinitions()` Returns the collection of parameter definitions in the 'Expression Parameters' containment reference.
`ExpressionParameters` `getExpressionParameters()` Returns the value of the 'Expression Parameters' containment reference.
`void` `setExpressionParameters(ExpressionParameters value)` Sets the value of the '`Expression Parameters`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getExpressionParameters

    ExpressionParameters getExpressionParameters()

  Returns the value of the 'Expression Parameters' containment reference. A collection of parameters used for collecting an expression's argument values. An expression argument may define one corresponding expression parameter that takes multiple input values sharing the same parameter attributes. Or it may define multiple expression parameters, with each taking a single input value and has own set of parameter attributes. Each expression parameter may define either static value(s), or an input parameter to dynamically collect user input value(s).

  Returns:
    the value of the 'Expression Parameters' containment reference.
  See Also:
    `setExpressionParameters(ExpressionParameters)`, `DesignPackage.getExpressionArguments_ExpressionParameters()`

### getExpressionParameterDefinitions

    org.eclipse.emf.common.util.EList<ExpressionParameterDefinition> getExpressionParameterDefinitions()

  Returns the collection of parameter definitions in the 'Expression Parameters' containment reference. The list contents are of type `ExpressionParameterDefinition`.

  An empty collection is returned if none is specified.

  Returns:
    collection of expression parameter definitions

### setExpressionParameters

    void setExpressionParameters(ExpressionParameters value)

  Sets the value of the '`Expression Parameters`' containment reference.

  Parameters:
    `value` - the new value of the 'Expression Parameters' containment reference.
  See Also:
    `getExpressionParameters()`

### addStaticParameter

    ExpressionParameterDefinition addStaticParameter(java.lang.Object aStaticValue)

  Appends a new `ExpressionParameterDefinition` with the specified static value to the 'Expression Parameters' containment reference.

  Parameters:
    `aStaticValue` - a static argument value of a filter expression
  Returns:
    the new ExpressionParameterDefinition appended

### addDynamicParameter

    ExpressionParameterDefinition addDynamicParameter(ParameterDefinition inputParam)

  Appends a new `ExpressionParameterDefinition` with the specified dynamic input parameter definition to the 'Expression Parameters' containment reference.

  Parameters:
    `inputParam` - the definition of an input parameter
  Returns:
    the new ExpressionParameterDefinition appended